{ config, lib, ... }:
{
  imports = [
    ./nginx
  ];

  config = lib.mkIf config.services.ntfy-sh.enable {
    services.ntfy-sh.settings = {
      base-url = "https://ntfy.${config.vars.primeDomain}";
      behind-proxy = true;
      listen-http = ":8811";

      smtp-sender-addr = "mx.${config.vars.mailDomain}:587";
      smtp-sender-user = "noreply";
      smtp-sender-pass = config.secrets.mailPass.nixfoxNoReply;
      smtp-sender-from = "noreply@${config.vars.primeDomain}";
    };
  };
}
